#ifndef APACHE_TYPES_H
#define APACHE_TYPES_H

/*
 * Define standard-sized types.
 *	ap_int32	signed 32-bit integer
 *	ap_uint32	unsigned 32-bit integer
 *	ap_ptr		unsigned pointer-sized integer
 *	ap_atomic	unsigned atomically-updatable integer (>= ap_ptr)
 */

#ifdef IRIX
/*
 * Irix uses an ILP32 model in 32-bit mode (ints, longs, and pointers
 * are all 32 bits) and an LP64 model in 64-bit mode (ints are 32 bits,
 * longs and pointers are 64 bits) so the following are always correct.
 */
typedef int ap_int32;
typedef unsigned int ap_uint32;
typedef unsigned long ap_ptr;
typedef unsigned long ap_atomic;
#else
typedef long ap_int32;
typedef unsigned long ap_uint32;
typedef unsigned long ap_ptr;
typedef unsigned long ap_atomic;
#endif

#endif
